Name:           rsnapshot
Version:        1.4.5
Release:    1%{?dist}
Summary:        Local and remote filesystem snapshot utility
License:        GPL-2.0-or-later
URL:            https://rsnapshot.org/
Source0:        https://github.com/%{name}/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  lvm2
BuildRequires:  make
BuildRequires:  openssh-clients
BuildRequires:  perl-generators
BuildRequires:  rsync
BuildRequires:  %{_bindir}/pod2man

BuildRequires:  perl(Cwd)
BuildRequires:  perl(DirHandle)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::stat)
BuildRequires:  perl(Getopt::Std)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::Harness)
BuildRequires:  perl(Test::More)

Requires:       openssh-clients
Requires:       perl(Lchown)
Requires:       rsync

%description
This is a remote backup program that uses rsync to take backup snapshots of
filesystems.  It uses hard links to save space on disk.

%prep
%setup -q

%build
%configure \
  --with-perl="%{__perl}" \
  --with-rsync="%{_bindir}/rsync" \
  --with-cp="%{__cp}" \
  --with-rm="%{__rm}" \
  --with-ssh="%{_bindir}/ssh" \
  --with-logger="%{_bindir}/logger" \
  --with-du="%{_bindir}/du"

%install
%make_install

mv -f %{buildroot}%{_sysconfdir}/%{name}.conf{.default,}

touch -c -r %{name}.conf.default{.in,} %{buildroot}%{_sysconfdir}/%{name}.conf

find utils/ -type f -print0 | xargs -r0 chmod 644

%check
%{__make} test

%files
%doc AUTHORS ChangeLog README.md
%license COPYING
%doc %{name}.conf.default utils/
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_bindir}/%{name}-diff
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-diff.1*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.5-1
- initial build
